Package com.independentsoft.office.word

# Class GlossaryDocument

java.lang.Object
com.independentsoft.office.word.GlossaryDocument

public class GlossaryDocument extends Object
The Class GlossaryDocument.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlossaryDocument()`
  Instantiates a new glossary document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GlossaryDocument`
  `clone()`
  `Background`
  `getBackground()`
  Gets the background.
  `List<Comment>`
  `getComments()`
  Gets the comments.
  `List<Endnote>`
  `getEndnotes()`
  Gets the endnotes.
  `List<GlossaryDocumentEntry>`
  `getEntries()`
  Gets the entries.
  `List<Font>`
  `getFonts()`
  Gets the fonts.
  `List<Footnote>`
  `getFootnotes()`
  Gets the footnotes.
  `NumberingDefinitions`
  `getNumberingDefinitions()`
  Gets the numbering definitions.
  `Settings`
  `getSettings()`
  Gets the settings.
  `StyleDefinitions`
  `getStyleDefinitions()`
  Gets the style definitions.
  `WebSettings`
  `getWebSettings()`
  Gets the web settings.
  `void`
  `setBackground​(Background background)`
  Sets the background.
  `void`
  `setNumberingDefinitions​(NumberingDefinitions numberingDefinitions)`
  Sets the numbering definitions.
  `void`
  `setStyleDefinitions​(StyleDefinitions styleDefinitions)`
  Sets the style definitions.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GlossaryDocument

    public GlossaryDocument()
    Instantiates a new glossary document.

- ## Method Details

  - ### clone

    public GlossaryDocument clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEntries

    public List<GlossaryDocumentEntry> getEntries()
    Gets the entries.
    Returns:
      the entries

  - ### getBackground

    public Background getBackground()
    Gets the background.
    Returns:
      the background

  - ### setBackground

    public void setBackground​(Background background)
    Sets the background.
    Parameters:
      `background` - the new background

  - ### getStyleDefinitions

    public StyleDefinitions getStyleDefinitions()
    Gets the style definitions.
    Returns:
      the style definitions

  - ### setStyleDefinitions

    public void setStyleDefinitions​(StyleDefinitions styleDefinitions)
    Sets the style definitions.
    Parameters:
      `styleDefinitions` - the new style definitions

  - ### getNumberingDefinitions

    public NumberingDefinitions getNumberingDefinitions()
    Gets the numbering definitions.
    Returns:
      the numbering definitions

  - ### setNumberingDefinitions

    public void setNumberingDefinitions​(NumberingDefinitions numberingDefinitions)
    Sets the numbering definitions.
    Parameters:
      `numberingDefinitions` - the new numbering definitions

  - ### getFonts

    public List<Font> getFonts()
    Gets the fonts.
    Returns:
      the fonts

  - ### getSettings

    public Settings getSettings()
    Gets the settings.
    Returns:
      the settings

  - ### getWebSettings

    public WebSettings getWebSettings()
    Gets the web settings.
    Returns:
      the web settings

  - ### getComments

    public List<Comment> getComments()
    Gets the comments.
    Returns:
      the comments

  - ### getFootnotes

    public List<Footnote> getFootnotes()
    Gets the footnotes.
    Returns:
      the footnotes

  - ### getEndnotes

    public List<Endnote> getEndnotes()
    Gets the endnotes.
    Returns:
      the endnotes